Reference documentation and code samples for the Google API Common Protos Client class BatchingConfigProto.
BatchingConfigProto defines the batching configuration for an API method.
Generated from protobuf message google.api.BatchingConfigProto
Namespace
Google \ ApiMethods
__construct
Constructor.
| Parameters | |
|---|---|
| Name | Description |
data |
array
Optional. Data for populating the Message object. |
↳ thresholds |
BatchingSettingsProto
The thresholds which trigger a batched request to be sent. |
↳ batch_descriptor |
BatchingDescriptorProto
The request and response fields used in batching. |
getThresholds
The thresholds which trigger a batched request to be sent.
| Returns | |
|---|---|
| Type | Description |
BatchingSettingsProto|null |
|
hasThresholds
clearThresholds
setThresholds
The thresholds which trigger a batched request to be sent.
| Parameter | |
|---|---|
| Name | Description |
var |
BatchingSettingsProto
|
| Returns | |
|---|---|
| Type | Description |
$this |
|
getBatchDescriptor
The request and response fields used in batching.
| Returns | |
|---|---|
| Type | Description |
BatchingDescriptorProto|null |
|
hasBatchDescriptor
clearBatchDescriptor
setBatchDescriptor
The request and response fields used in batching.
| Parameter | |
|---|---|
| Name | Description |
var |
BatchingDescriptorProto
|
| Returns | |
|---|---|
| Type | Description |
$this |
|